<?php
/**
 * Created by Turkialawlqy.
 * Web Site: http://www.xf-ar.com
 * Email: turkialawlqy@gmail.com
 * Date: 20/12/2014
 * Time: 12:42 م
 */

class Turki_Package_Model extends XenForo_Model
{
    protected $_table;
    protected $_id;
    protected $_filde = '*';
    protected $_orderby;
    protected $_pathimage = null;

    public function getById($Id)
    {
        return $this->_getDb()->fetchRow("
			SELECT {$this->_filde}
			FROM {$this->_table}
			WHERE {$this->_id} = ?
		", $Id);
    }

    public function getAll()
    {
        $orderby =(!empty($this->_orderby)) ? "ORDER BY {$this->_orderby}" : '';
        return $this->fetchAllKeyed("
			SELECT {$this->_filde}
			FROM {$this->_table}
			$orderby
		", $this->_id);
    }

    public function uploadItemImage(XenForo_Upload $upload, $path = null)
    {
        $path = ($path != null) ? $path : $this->_pathimage;
        $items_location = XenForo_Helper_File::getExternalDataPath()."/{$path}/";
        if(!file_exists($items_location))
            XenForo_Helper_File::createDirectory($items_location, true);

        $baseTempFile = $upload->getTempFile();
        $newFileName = $upload->getFileName();
        $_filesname = XenForo_Application::$time.'.'.XenForo_Helper_File::getFileExtension($newFileName);
        $newitem = $items_location.$_filesname;
        rename($baseTempFile, $newitem);
        @unlink($baseTempFile);
        chmod($newitem, 0777);
        return $_filesname;
    }

    public function getImageFilePath($Path, $Image, $externalDataPath = null)
    {
        if ($externalDataPath === null)
            $externalDataPath = XenForo_Helper_File::getExternalDataPath();


        return sprintf('%s/%s/%s',
            $externalDataPath,
            $Path,
            $Image
        );
    }

}